
/*
  Copyright (C) 2002,2003  Dmitry V. Levin <ldv@altlinux.org>

  consolehelper

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <locale.h>
#include <libintl.h>

#include "conv.h"

#define LOCALEDIR "/usr/share/locale"

int
main(int argc, char *argv[])
{
	if ((argc < 1) || !strcmp(argv[0], PACKAGE))
		return EXIT_FAILURE;

	setlocale(LC_ALL, "");
	textdomain(PACKAGE);
	bindtextdomain(PACKAGE, LOCALEDIR);

	int rc = do_conv(argv);
	if (rc < 0)
		execv("/proc/self/exe", argv);
	return rc;
}
