
/*
  Copyright (C) 2002  Dmitry V. Levin <ldv@altlinux.org>

  main suid helper

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#include <stdlib.h>
#include <syslog.h>

#include "server.h"

int
main(int ac, char *const *av)
{
	appconf conf;

	if (ac < 1)
		return EXIT_FAILURE;

	check_fds();

	openlog("consolehelper", LOG_PID, LOG_AUTH);

	get_appconf(&conf);
	conf.argv = av;

	return do_auth(&conf);
}
