
/*
  Copyright (C) 2002  Dmitry V. Levin <ldv@altlinux.org>

  common server functions

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef CONSHELP_SERV_PAM_H__
#define CONSHELP_SERV_PAM_H__

#include <security/pam_appl.h>

/* setcred */
int     set_user_credentials(pam_handle_t * pamh, const char *user,
			     uid_t * uid);

/* env */
int     make_env(pam_handle_t * pamh, int keep_env);

/* conv */
int     do_pam_conversation(int num_msg, const struct pam_message **msg,
			    struct pam_response **resp, void *appdata_ptr);

#endif /* CONSHELP_SERV_PAM_H__ */
